Next: Fortran Dialect Options, Up: Invoking GNU Fortran

### 2.1 Option summary

Here is a summary of all the options specific to GNU Fortran, grouped by type. Explanations are in the following sections.

Fortran Language Options
  See Options controlling Fortran dialect.

                -fall-intrinsics -fallow-argument-mismatch -fallow-invalid-boz
                -fbackslash -fcray-pointer -fd-lines-as-code -fd-lines-as-comments
                -fdec -fdec-char-conversions -fdec-structure -fdec-intrinsic-ints
                -fdec-static -fdec-math -fdec-include -fdec-format-defaults
                -fdec-blank-format-item -fdefault-double-8 -fdefault-integer-8
                -fdefault-real-8 -fdefault-real-10 -fdefault-real-16 -fdollar-ok
                -ffixed-line-length-n -ffixed-line-length-none -fpad-source
                -ffree-form -ffree-line-length-n -ffree-line-length-none
                -fimplicit-none -finteger-4-integer-8 -fmax-identifier-length
                -fmodule-private -ffixed-form -fno-range-check -fopenacc -fopenmp
                -freal-4-real-10 -freal-4-real-16 -freal-4-real-8 -freal-8-real-10
                -freal-8-real-16 -freal-8-real-4 -std=std -ftest-forall-temp

Preprocessing Options
  See Enable and customize preprocessing.

                -A-question[=answer]
                -Aquestion=answer -C -CC -Dmacro[=defn]
                -H -P
                -Umacro -cpp -dD -dI -dM -dN -dU -fworking-directory
                -imultilib dir
                -iprefix file -iquote -isysroot dir -isystem dir -nocpp
                -nostdinc
                -undef

Error and Warning Options
  See Options to request or suppress errors and warnings.

                -Waliasing -Wall -Wampersand -Warray-bounds
                -Wc-binding-type -Wcharacter-truncation -Wconversion
                -Wdo-subscript -Wfunction-elimination -Wimplicit-interface
                -Wimplicit-procedure -Wintrinsic-shadow -Wuse-without-only
                -Wintrinsics-std -Wline-truncation -Wno-align-commons
                -Wno-overwrite-recursive -Wno-tabs -Wreal-q-constant -Wsurprising
                -Wunderflow -Wunused-parameter -Wrealloc-lhs -Wrealloc-lhs-all
                -Wfrontend-loop-interchange -Wtarget-lifetime -fmax-errors=n
                -fsyntax-only -pedantic
                -pedantic-errors

Debugging Options
  See Options for debugging your program or GNU Fortran.

                -fbacktrace -fdump-fortran-optimized -fdump-fortran-original
                -fdebug-aux-vars -fdump-fortran-global -fdump-parse-tree -ffpe-trap=list
                -ffpe-summary=list

Directory Options
  See Options for directory search.

                -Idir  -Jdir -fintrinsic-modules-path dir

Link Options
  See Options for influencing the linking step.

                -static-libgfortran

Runtime Options
  See Options for influencing runtime behavior.

                -fconvert=conversion -fmax-subrecord-length=length
                -frecord-marker=length -fsign-zero

Interoperability Options
  See Options for interoperability.

                -fc-prototypes -fc-prototypes-external

Code Generation Options
  See Options for code generation conventions.

                -faggressive-function-elimination -fblas-matmul-limit=n
                -fbounds-check -ftail-call-workaround -ftail-call-workaround=n
                -fcheck-array-temporaries
                -fcheck=<all|array-temps|bits|bounds|do|mem|pointer|recursion>
                -fcoarray=<none|single|lib> -fexternal-blas -ff2c
                -ffrontend-loop-interchange -ffrontend-optimize
                -finit-character=n -finit-integer=n -finit-local-zero
                -finit-derived -finit-logical=<true|false>
                -finit-real=<zero|inf|-inf|nan|snan>
                -finline-matmul-limit=n
                -finline-arg-packing -fmax-array-constructor=n
                -fmax-stack-var-size=n -fno-align-commons -fno-automatic
                -fno-protect-parens -fno-underscoring -fsecond-underscore
                -fpack-derived -frealloc-lhs -frecursive -frepack-arrays
                -fshort-enums -fstack-arrays